Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 1338033003: Log to webrtc logging stream from java code. (Closed)

Created:
3 years, 10 months ago by jiayl2
Modified:
3 years, 10 months ago
Reviewers:
AlexG
CC:
webrtc-reviews_webrtc.org, tterriberry_mozilla.com, qiang.lu, niklas.enbom, yujie_mao (webrtc), Andrew MacDonald
Base URL:
https://chromium.googlesource.com/external/webrtc.git@master
Target Ref:
refs/pending/heads/master
Project:
webrtc
Visibility:
Public.

Description

Log to webrtc logging stream from java code. Future log messages should all be sent to org.webrtc.Logging as well. BUG= Committed: https://crrev.com/66f0da2197974dcc1008f25df2bb4e1d463ad506 Cr-Commit-Position: refs/heads/master@{#9936} R=glaznev@webrtc.org Committed: https://crrev.com/5975b3c5be44de32ee28c34ca577474e36259e6e Cr-Commit-Position: refs/heads/master@{#9957}

Patch Set 1 #

Patch Set 2 : not lose tag #

Total comments: 9

Patch Set 3 : CR #

Total comments: 1

Patch Set 4 : CR #

Patch Set 5 : sync #

Patch Set 6 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+148 lines, -141 lines) Patch
M talk/app/webrtc/java/android/org/webrtc/Camera2Enumerator.java View 3 chunks +4 lines, -4 lines 0 comments Download
M talk/app/webrtc/java/android/org/webrtc/CameraEnumerationAndroid.java View 1 2 3 4 5 5 chunks +6 lines, -5 lines 0 comments Download
M talk/app/webrtc/java/android/org/webrtc/CameraEnumerator.java View 3 chunks +6 lines, -6 lines 0 comments Download
M talk/app/webrtc/java/android/org/webrtc/EglBase.java View 1 2 3 4 5 3 chunks +4 lines, -3 lines 0 comments Download
M talk/app/webrtc/java/android/org/webrtc/GlShader.java View 4 chunks +5 lines, -4 lines 0 comments Download
M talk/app/webrtc/java/android/org/webrtc/SurfaceViewRenderer.java View 1 2 3 4 5 11 chunks +15 lines, -14 lines 0 comments Download
M talk/app/webrtc/java/android/org/webrtc/VideoCapturerAndroid.java View 1 2 3 4 5 27 chunks +38 lines, -38 lines 0 comments Download
M talk/app/webrtc/java/android/org/webrtc/VideoRendererGui.java View 19 chunks +25 lines, -24 lines 0 comments Download
M talk/app/webrtc/java/src/org/webrtc/MediaCodecVideoDecoder.java View 1 2 3 4 5 14 chunks +23 lines, -22 lines 0 comments Download
M talk/app/webrtc/java/src/org/webrtc/MediaCodecVideoEncoder.java View 16 chunks +22 lines, -21 lines 0 comments Download

Messages

Total messages: 23 (7 generated)
jiayl2
PTAL
3 years, 10 months ago (2015-09-12 00:21:04 UTC) #2
AlexG
On 2015/09/12 00:21:04, jiayl2 wrote: > PTAL This will remove tags from messages - as ...
3 years, 10 months ago (2015-09-14 18:29:00 UTC) #3
jiayl2
On 2015/09/14 18:29:00, AlexG wrote: > On 2015/09/12 00:21:04, jiayl2 wrote: > > PTAL > ...
3 years, 10 months ago (2015-09-14 19:52:33 UTC) #4
jiayl2
PTAL
3 years, 10 months ago (2015-09-14 19:52:40 UTC) #5
AlexG
https://codereview.webrtc.org/1338033003/diff/20001/talk/app/webrtc/java/src/org/webrtc/Logging.java File talk/app/webrtc/java/src/org/webrtc/Logging.java (right): https://codereview.webrtc.org/1338033003/diff/20001/talk/app/webrtc/java/src/org/webrtc/Logging.java#newcode121 talk/app/webrtc/java/src/org/webrtc/Logging.java:121: private static String getStackTraceAsString(Throwable e) { May be mimic ...
3 years, 10 months ago (2015-09-14 20:12:33 UTC) #6
jiayl2
PTAL https://codereview.webrtc.org/1338033003/diff/20001/talk/app/webrtc/java/src/org/webrtc/Logging.java File talk/app/webrtc/java/src/org/webrtc/Logging.java (right): https://codereview.webrtc.org/1338033003/diff/20001/talk/app/webrtc/java/src/org/webrtc/Logging.java#newcode121 talk/app/webrtc/java/src/org/webrtc/Logging.java:121: private static String getStackTraceAsString(Throwable e) { On 2015/09/14 ...
3 years, 10 months ago (2015-09-14 20:54:38 UTC) #7
AlexG
lgtm https://codereview.webrtc.org/1338033003/diff/20001/webrtc/base/logging.cc File webrtc/base/logging.cc (right): https://codereview.webrtc.org/1338033003/diff/20001/webrtc/base/logging.cc#newcode400 webrtc/base/logging.cc:400: prio = ANDROID_LOG_INFO; On 2015/09/14 20:54:38, jiayl2 wrote: ...
3 years, 10 months ago (2015-09-14 21:02:11 UTC) #8
jiayl2
On 2015/09/14 21:02:11, AlexG wrote: > lgtm > > https://codereview.webrtc.org/1338033003/diff/20001/webrtc/base/logging.cc > File webrtc/base/logging.cc (right): > ...
3 years, 10 months ago (2015-09-14 21:05:29 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1338033003/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1338033003/80001
3 years, 10 months ago (2015-09-14 21:17:37 UTC) #12
commit-bot: I haz the power
Committed patchset #5 (id:80001)
3 years, 10 months ago (2015-09-14 22:06:44 UTC) #13
commit-bot: I haz the power
Patchset 5 (id:??) landed as https://crrev.com/66f0da2197974dcc1008f25df2bb4e1d463ad506 Cr-Commit-Position: refs/heads/master@{#9936}
3 years, 10 months ago (2015-09-14 22:06:54 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1338033003/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1338033003/100001
3 years, 10 months ago (2015-09-16 19:13:37 UTC) #17
commit-bot: I haz the power
Try jobs failed on following builders: android_gn_rel on tryserver.webrtc (JOB_FAILED, http://build.chromium.org/p/tryserver.webrtc/builders/android_gn_rel/builds/5672)
3 years, 10 months ago (2015-09-16 19:38:32 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1338033003/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1338033003/100001
3 years, 10 months ago (2015-09-16 19:49:43 UTC) #21
jiayl2
Committed patchset #6 (id:100001) manually as 5975b3c5be44de32ee28c34ca577474e36259e6e (presubmit successful).
3 years, 10 months ago (2015-09-16 20:41:08 UTC) #22
commit-bot: I haz the power
3 years, 10 months ago (2015-09-16 20:41:12 UTC) #23
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/5975b3c5be44de32ee28c34ca577474e36259e6e
Cr-Commit-Position: refs/heads/master@{#9957}

Powered by Google App Engine
This is Rietveld 408576698